Package org.apache.nutch.crawl

## Class SignatureComparator

- java.lang.Object
- - org.apache.nutch.crawl.SignatureComparator

- All Implemented Interfaces:
    `Comparator<Object>`

      public class SignatureComparator
      extends Object
      implements Comparator<Object>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SignatureComparator()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `_compare​(byte[] data1, int s1, int l1, byte[] data2, int s2, int l2)` |
    `static int` | `_compare​(Object o1, Object o2)` |
    `int` | `compare​(Object o1, Object o2)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### SignatureComparator

          public SignatureComparator()

  - ### Method Detail

    - #### compare

          public int compare​(Object o1,
                             Object o2)

      Specified by:
        `compare` in interface `Comparator<Object>`

    - #### _compare

          public static int _compare​(Object o1,
                                     Object o2)

    - #### _compare

          public static int _compare​(byte[] data1,
                                     int s1,
                                     int l1,
                                     byte[] data2,
                                     int s2,
                                     int l2)